pangomm: Pango::AttrFontDesc Class Reference

pangomm 2.28.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions
Pango::AttrFontDesc Class Reference

A Pango::AttrFontDesc is used to represent an attribute that sets all aspects of the font description at once. More...

Inheritance diagram for Pango::AttrFontDesc:
[legend]
Collaboration diagram for Pango::AttrFontDesc:
[legend]

List of all members.

## Public Member Functions
| AttrFontDesc (const AttrFontDesc& src)
| AttrFontDesc (PangoAttrFontDesc* castitem, bool take_copy=true)
AttrFontDesc& | operator= (const AttrFontDesc& src)
FontDescription | get_desc () const
| Gets the font description which is the value of the attribute.
void | set_desc (const FontDescription& desc)
| Sets the font description which is the value of the attribute.
PangoAttrFontDesc* | gobj ()
| Provides access to the underlying C GObject.
const PangoAttrFontDesc* | gobj () const
| Provides access to the underlying C GObject.
## Protected Member Functions
| AttrFontDesc ()
## Related Functions
(Note that these are not member functions.)
Pango::AttrFontDesc | wrap (PangoAttrFontDesc* object, bool take_copy=false)

## Detailed Description

A Pango::AttrFontDesc is used to represent an attribute that sets all aspects of the font description at once.

## Constructor & Destructor Documentation

Pango::AttrFontDesc::AttrFontDesc | ( |  | ) | `[protected]`

Pango::AttrFontDesc::AttrFontDesc | ( | const AttrFontDesc& | src | ) |

Pango::AttrFontDesc::AttrFontDesc | ( | PangoAttrFontDesc * | castitem,
|  | bool | take_copy = `true`
| ) |  | `[explicit]`

## Member Function Documentation

FontDescription Pango::AttrFontDesc::get_desc | ( |  | ) | const

Gets the font description which is the value of the attribute.

Returns:
  The font description of the attribute.

const PangoAttrFontDesc* Pango::AttrFontDesc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Pango::Attribute.

PangoAttrFontDesc* Pango::AttrFontDesc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Pango::Attribute.

AttrFontDesc& Pango::AttrFontDesc::operator= | ( | const AttrFontDesc& | src | ) |

void Pango::AttrFontDesc::set_desc | ( | const FontDescription& | desc | ) |

Sets the font description which is the value of the attribute.

Parameters:

  desc | The new font description for the attribute.

## Friends And Related Function Documentation

Pango::AttrFontDesc wrap | ( | PangoAttrFontDesc * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

The documentation for this class was generated from the following file:

- pangomm/attributes.h